Bug 969700 - Review Request: libccp4 - Library providing specific CCP4 functionality
Review Request: libccp4 - Library providing specific CCP4 functionality
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 18:53 EDT by Tim Fenn
Modified: 2014-12-22 03:02 EST (History)
3 users (show)

See Also:
Fixed In Version: libccp4-6.3.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Fenn 2013-06-01 18:53:58 EDT
Spec URL: https://sites.google.com/site/timfenn/libccp4.spec
SRPM URL: https://sites.google.com/site/timfenn/libccp4-6.3.1-1.fc17.src.rpm
Description: library for common tasks involving crystallographic files based around the CCP4 format.  For more information, see here:

http://www.ccp4.ac.uk/

This package will obsolete gpp4, which I also maintain.  Upstream maintenance is being handled by a new person that changed the URL and name of the package, thus this review request.  There are 2 packages which depend on this library (clipper and coot) - both of which I also maintain and will update accordingly with this update.

koji scratch build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5450654

Fedora Account System Username: timfenn
Comment 1 Mario Blättermann 2013-06-02 06:29:13 EDT
$ rpmlint -i -v *
libccp4.src: I: checking
libccp4.src: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US subcomponents -> sub components, sub-components, subcontinents
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US centred -> centered, cent red, cent-red
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US syminfo -> misinform
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US sgtbx -> Sgt
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US cctbx -> CCTV
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US resizable -> re sizable, re-sizable, resealable
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4.src:12: W: unversioned-explicit-obsoletes gpp4
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

libccp4.src: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/libccp4-6.3.1.tar.gz (timeout 10 seconds)
libccp4.i686: I: checking
libccp4.i686: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US subcomponents -> sub components, sub-components, subcontinents
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US centred -> centered, cent red, cent-red
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US syminfo -> misinform
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US sgtbx -> Sgt
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US cctbx -> CCTV
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US resizable -> re sizable, re-sizable, resealable
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4.i686: W: obsolete-not-provided gpp4
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

libccp4.i686: W: shared-lib-calls-exit /usr/lib/libccp4c.so.0.0.0 exit@GLIBC_2.0
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

libccp4.x86_64: I: checking
libccp4.x86_64: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US subcomponents -> sub components, sub-components, subcontinents
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US centred -> centered, cent red, cent-red
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US syminfo -> misinform
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US sgtbx -> Sgt
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US cctbx -> CCTV
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US resizable -> re sizable, re-sizable, resealable
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4.x86_64: W: obsolete-not-provided gpp4
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

libccp4.x86_64: W: shared-lib-calls-exit /usr/lib64/libccp4c.so.0.0.0 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

libccp4-debuginfo.i686: I: checking
libccp4-debuginfo.i686: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-debuginfo.x86_64: I: checking
libccp4-debuginfo.x86_64: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-devel.i686: I: checking
libccp4-devel.i686: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4-devel.i686: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libccp4-devel.x86_64: I: checking
libccp4-devel.x86_64: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4-devel.x86_64: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libccp4.spec:12: W: unversioned-explicit-obsoletes gpp4
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

libccp4.spec: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/libccp4-6.3.1.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 37 warnings.


Spelling errors to be addressed:

subcomponents → sub components
centred → centered

The other ones can be ignored in my opinion.


If you set an "Obsoletes" tag, you should also use a "Provides" tag for the same package, to get a proper upgrade path. Because of that we recognize your package as the successor of all gpp4 versions, explicite versioning is unneeded.


The exit() call is not up to you to fix, but should be filed as an upstream bug.


Some parts of the spec file are obsolete for Fedora and EPEL <=5:

* The initial cleaning of %{buildroot} in %install
* The %clean section
* The %defattr line in %files


Requires: %{name} = %{version}-%{release}
has to be
Requires: %{name}%{?_isa} = %{version}-%{release}


To require pkgconfig for the -devel package is unneeded, see what rpm adds automatically:

$ rpm -qpR libccp4-devel-6.3.1-1.fc19.x86_64.rpm
/usr/bin/pkg-config
libccp4 = 6.3.1-1.fc19
libccp4c.so.0()(64bit)
libccp4f.so.0()(64bit)
pkgconfig
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


Don't mix %{buildroot} and $RPM_BUILD_ROOT in the same spec file.


Your package is LGPL licensed. This is OK so far, but you have to ship COPYING.LESSER instead of COPYING (which addresses the GPLv3). The latter doesn't affect any file in the tarball and can be ignored:

$ licensecheck -r *
build-aux/ltmain.sh: GPL (v2 or later)
ccp4/cmtzlib.h: LGPL
ccp4/cmap_stats.h: LGPL
ccp4/cvecmat.c: LGPL
ccp4/ccp4_types.h: LGPL
ccp4/ccp4_parser.h: LGPL
ccp4/cvecmat.h: LGPL
ccp4/ccp4_general.c: LGPL
ccp4/pack_c.h: *No copyright* UNKNOWN
ccp4/ccp4_utils.h: LGPL
ccp4/ccp4_array.c: LGPL
ccp4/csymlib.h: LGPL GENERATED FILE
ccp4/cmap_labels.c: LGPL
ccp4/cmap_stats.c: LGPL
ccp4/w32mvs.h: LGPL
ccp4/ccp4_unitcell.c: LGPL
ccp4/cmap_errno.h: LGPL
ccp4/cmap_close.c: LGPL
ccp4/mtzdata.h: LGPL
ccp4/ccp4_errno.h: LGPL
ccp4/vmslibrary.c: LGPL
ccp4/cmap_skew.h: LGPL
ccp4/cmap_symop.c: LGPL
ccp4/cmap_data.h: LGPL
ccp4/cmap_accessor.c: LGPL
ccp4/cmtzlib.c: LGPL
ccp4/cmap_data.c: LGPL
ccp4/library_file.h: LGPL
ccp4/w32mvs.c: LGPL
ccp4/cmap_open.c: LGPL
ccp4/library_file.c: LGPL
ccp4/ccp4_vars.h: LGPL
ccp4/cmaplib.h: LGPL
ccp4/overview.h: LGPL
ccp4/ccp4_file_err.h: LGPL
ccp4/ccp4_program.h: LGPL
ccp4/cmap_labels.h: LGPL
ccp4/ccp4_parser.c: LGPL
ccp4/cmap_skew.c: LGPL
ccp4/ccp4_general.h: LGPL
ccp4/ccp4_array.h: LGPL
ccp4/csymlib.c: LGPL
ccp4/cmap_header.h: LGPL
ccp4/library_utils.c: LGPL
ccp4/cmaplib_f.h: LGPL
ccp4/ccp4_fortran.h: LGPL
ccp4/ccp4_program.c: LGPL
ccp4/library_err.c: LGPL
ccp4/ccp4_spg.h: LGPL
ccp4/ccp4_unitcell.h: LGPL
ccp4/pack_c.c: LGPL
ccp4/ccp4_sysdep.h: LGPL
ccp4/cmap_header.c: LGPL
fortran/ccp4_parser_f.c: LGPL
fortran/lgglib.f: UNKNOWN
fortran/ccp4_general_f.c: LGPL
fortran/libhtml.f: UNKNOWN
fortran/sorting_main.f: UNKNOWN
fortran/keyparse.f: UNKNOWN
fortran/rwbrook.f: *No copyright* UNKNOWN
fortran/modlib.f: *No copyright* UNKNOWN
fortran/pxxml.f: UNKNOWN
fortran/csymlib_f.c: LGPL
fortran/plot84lib.f: *No copyright* UNKNOWN
fortran/ccp4_unitcell_f.c: LGPL
fortran/plotsubs.f: *No copyright* UNKNOWN
fortran/dna_output.f: UNKNOWN
fortran/fftlib.f: UNKNOWN
fortran/ccplib.f: *No copyright* UNKNOWN
fortran/testlib.f: *No copyright* UNKNOWN
fortran/w32mvs.f: UNKNOWN
fortran/ccp4_diskio_f.c: LGPL
fortran/library_f.c: LGPL
fortran/cmaplib_f.c: LGPL
fortran/cmtzlib_f.c: LGPL
fortran/pack_f.f: UNKNOWN
fortran/parser.f: *No copyright* UNKNOWN

Only one of the build files (not part of the package) is GPL licensed. The other build scripts seems to be 3 clause BSD, also ignorable.
Comment 2 Tim Fenn 2013-06-04 02:28:55 EDT
Thanks for the tips, comments and quick response, Mario!

(In reply to Mario Blättermann from comment #1)
> 
> Spelling errors to be addressed:
> 
> subcomponents → sub components
> centred → centered
> 

Done.

> 
> If you set an "Obsoletes" tag, you should also use a "Provides" tag for the
> same package, to get a proper upgrade path. Because of that we recognize
> your package as the successor of all gpp4 versions, explicite versioning is
> unneeded.
> 

Done - edited spec contains:

Provides: libgpp4 = %{version}-%{release}
Obsoletes: libgpp4 < %{version}-%{release}

seem OK?

> 
> The exit() call is not up to you to fix, but should be filed as an upstream
> bug.
> 

OK - will do.

> 
> Some parts of the spec file are obsolete for Fedora and EPEL <=5:
> 
> * The initial cleaning of %{buildroot} in %install
> * The %clean section
> * The %defattr line in %files
> 

cleaned up.

> 
> Requires: %{name} = %{version}-%{release}
> has to be
> Requires: %{name}%{?_isa} = %{version}-%{release}
> 

Fixed.

> 
> To require pkgconfig for the -devel package is unneeded, see what rpm adds
> automatically:
> 

removed.

> 
> Your package is LGPL licensed. This is OK so far, but you have to ship
> COPYING.LESSER instead of COPYING (which addresses the GPLv3). The latter
> doesn't affect any file in the tarball and can be ignored:
> 

Ah, thanks - done!

updated files:

Spec URL: https://sites.google.com/site/timfenn/libccp4.spec
SRPM URL: https://sites.google.com/site/timfenn/libccp4-6.3.1-2.fc17.src.rpm
Comment 3 Mario Blättermann 2013-06-04 14:38:13 EDT
(In reply to Tim Fenn from comment #2)
> Provides: libgpp4 = %{version}-%{release}
> Obsoletes: libgpp4 < %{version}-%{release}
> 
> seem OK?
> 
That's OK. BTW, just found an appropriate wiki page aboutr how package renaming should be done:
https://fedoraproject.org/wiki/Upgrade_paths_—_renaming_or_splitting_packages#Do_I_need_to_Provide_my_old_package_names.3F

Seems a "Provides" tag is useful, but for convenience only. You are not forced to add it. Actually I thought the Obsoletes/Provides mechanism ensures a proper upgrade patch, but is not needed at all. "Obsoletes" is sufficient here, although rpmlint complains if "Provides" is missing.

Tim, I will do the final review, but due to a lousy network connection, I'm unable to handle even a 1 MB file. So be patient, I'll do it on saturday.
Comment 4 Mario Blättermann 2013-06-08 04:58:37 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5483006

$ rpmlint -i -v *
libccp4.src: I: checking
libccp4.src: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US syminfo -> misinform
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US sgtbx -> Sgt
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US cctbx -> CCTV
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US resizable -> re sizable, re-sizable, resealable
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
The value of this tag appears to be misspelled. Please double-check.

libccp4.src: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4.src: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/libccp4-6.3.1.tar.gz (timeout 10 seconds)
libccp4.i686: I: checking
libccp4.i686: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US syminfo -> misinform
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US sgtbx -> Sgt
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US cctbx -> CCTV
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US resizable -> re sizable, re-sizable, resealable
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
The value of this tag appears to be misspelled. Please double-check.

libccp4.i686: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4.i686: W: shared-lib-calls-exit /usr/lib/libccp4c.so.0.0.0 exit@GLIBC_2.0
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

libccp4.x86_64: I: checking
libccp4.x86_64: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US syminfo -> misinform
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US sgtbx -> Sgt
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US cctbx -> CCTV
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US resizable -> re sizable, re-sizable, resealable
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
The value of this tag appears to be misspelled. Please double-check.

libccp4.x86_64: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4.x86_64: W: shared-lib-calls-exit /usr/lib64/libccp4c.so.0.0.0 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

libccp4-debuginfo.i686: I: checking
libccp4-debuginfo.i686: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-debuginfo.x86_64: I: checking
libccp4-debuginfo.x86_64: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-devel.i686: I: checking
libccp4-devel.i686: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4-devel.i686: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libccp4-devel.x86_64: I: checking
libccp4-devel.x86_64: W: spelling-error %description -l en_US keyworded -> key worded, key-worded, keyword ed
The value of this tag appears to be misspelled. Please double-check.

libccp4-devel.x86_64: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/ (timeout 10 seconds)
libccp4-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libccp4.spec: I: checking-url ftp://ftp.ccp4.ac.uk/opensource/libccp4-6.3.1.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 27 warnings.


The same ignorable things as in my first comment.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    LGPLv3
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    f1043e8279de2874292c4bfc4997b9041c4d3bc35b2bc7a0deaee19050c17fb8  libccp4-6.3.1.tar.gz
    f1043e8279de2874292c4bfc4997b9041c4d3bc35b2bc7a0deaee19050c17fb8  libccp4-6.3.1.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 5 Tim Fenn 2013-06-13 21:04:31 EDT
New Package SCM Request
=======================
Package Name: libccp4
Short Description: Library providing specific CCP4 functionality
Owners: timfenn
Branches: f19 el6
InitialCC: timfenn
Comment 6 Gwyn Ciesla 2013-06-14 08:11:23 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-07-11 22:27:16 EDT
libccp4-6.3.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libccp4-6.3.1-3.fc19
Comment 8 Fedora Update System 2013-07-12 22:01:44 EDT
libccp4-6.3.1-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-07-22 21:12:08 EDT
libccp4-6.3.1-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Tim Fenn 2014-12-20 17:10:41 EST
Package Change Request
======================
Package Name: libccp4
New Branches: epel7
Owners: timfenn
InitialCC: timfenn
Comment 11 Jens Petersen 2014-12-22 03:02:36 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.